summaryrefslogtreecommitdiff
path: root/.config
diff options
context:
space:
mode:
authorDavid Luevano Alvarado <55825613+luevano@users.noreply.github.com>2020-10-27 14:11:02 -0700
committerDavid Luevano Alvarado <55825613+luevano@users.noreply.github.com>2020-10-27 14:11:02 -0700
commit8f2b05f47f8ee433258f384aed3b811667388640 (patch)
tree1c3518d25549c573a306205bd461b4b69a6006ad /.config
parent683accaff8479d9f7af6519687e5ca5595b07b18 (diff)
More previews
Diffstat (limited to '.config')
-rwxr-xr-x.config/ranger/scope.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/.config/ranger/scope.sh b/.config/ranger/scope.sh
index 9edf5b9..f9d0dc2 100755
--- a/.config/ranger/scope.sh
+++ b/.config/ranger/scope.sh
@@ -102,19 +102,19 @@ handle_image() {
exit 7;;
# Video
- # video/*)
- # # Thumbnail
- # ffmpegthumbnailer -i "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" -s 0 && exit 6
- # exit 1;;
+ video/*)
+ # Thumbnail
+ ffmpegthumbnailer -i "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" -s 0 && exit 6
+ exit 1;;
# PDF
- # application/pdf)
- # pdftoppm -f 1 -l 1 \
- # -scale-to-x 1920 \
- # -scale-to-y -1 \
- # -singlefile \
- # -jpeg -tiffcompression jpeg \
- # -- "${FILE_PATH}" "${IMAGE_CACHE_PATH%.*}" \
- # && exit 6 || exit 1;;
+ application/pdf)
+ pdftoppm -f 1 -l 1 \
+ -scale-to-x 1920 \
+ -scale-to-y -1 \
+ -singlefile \
+ -jpeg -tiffcompression jpeg \
+ -- "${FILE_PATH}" "${IMAGE_CACHE_PATH%.*}" \
+ && exit 6 || exit 1;;
# Preview archives using the first image inside.
# (Very useful for comic book collections for example.)